Bug 442508 - libdvdread fails to read DVD when using Livna packages
libdvdread fails to read DVD when using Livna packages
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: libdvdread (Show other bugs)
11
powerpc Linux
low Severity low
: ---
: ---
Assigned To: Dominik 'Rathann' Mierzejewski
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-15 04:11 EDT by W. Michael Petullo
Modified: 2009-12-03 00:09 EST (History)
3 users (show)

See Also:
Fixed In Version: 4.1.4-0.1.svn1183.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-03 00:09:20 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
VIDEO_TS.IFO from The Last of the Mohicans (24.00 KB, application/octet-stream)
2008-04-20 13:16 EDT, W. Michael Petullo
no flags Details
Output of "mplayer -v dvd://" (2.63 KB, text/plain)
2008-07-30 20:14 EDT, W. Michael Petullo
no flags Details
Output of "mplayer -v dvdnav://" (2.37 KB, text/plain)
2008-07-30 20:15 EDT, W. Michael Petullo
no flags Details

  None (edit)
Description W. Michael Petullo 2008-04-15 04:11:27 EDT
Description of problem:
I have been unable to play DVD's with gstreamer-plugins-ugly-0.10.7-1.lvn9.ppc
when it is built against libdvdread-4.1.1-6.fc9.ppc. I rebuilt
gstreamer-plugins-ugly against the older libdvdread-0.9.7-3.fc8 and it worked fine.

I receive an error that states, "libdvdread: Invalid main menu IFO
(VIDEO_TS.IFO)." Here is an example:

> gst-launch dvdreadsrc device=/dev/hdc ! dvddemux name=dvd dvd. !  mpeg2dec  !
 queue ! ffmpegcolorspace ! xvimagesink dvd. ! a52dec ! audioconvert ! 
audioresample ! queue ! osssink
Setting pipeline to PAUSED ...
No accelerated IMDCT transform found
libdvdread: Using libdvdcss version 1.2.9 for DVD access
libdvdread: Invalid main menu IFO (VIDEO_TS.IFO).
ERROR: Pipeline doesn't want to pause.
ERROR: from element /pipeline0/dvdreadsrc0: Could not open DVD
Additional debug info:
dvdreadsrc.c(236): gst_dvd_read_src_start (): /pipeline0/dvdreadsrc0:
ifoOpen() failed: File exists
Setting pipeline to NULL ...
FREEING pipeline ...

Version-Release number of selected component (if applicable):
libdvdread-4.1.1-6.fc9.ppc

How reproducible:
Every time

Steps to Reproduce:
See above.
  
Actual results:
See above.

Expected results:


Additional info:
See also http://bugzilla.livna.org/show_bug.cgi?id=1929, the bug I originally
filed against gstreamer-plugins-ugly.
Comment 1 Dominik 'Rathann' Mierzejewski 2008-04-15 11:56:46 EDT
Thanks for the report. I will relay this information upstream. It might be
faster if you could subscribe to dvdnav-discuss@mplayerhq.hu and report this
problem directly (https://lists.mplayerhq.hu/mailman/listinfo/dvdnav-discuss).
AFAIK upstream is aware of some unspecified problems on ppc, but there have been
no reports recently.
Comment 2 Dominik 'Rathann' Mierzejewski 2008-04-17 09:23:39 EDT
Upstream would like to know what DVD title that is. Could you attach the full
mplayer -v dvd:// output for that DVD?
Comment 3 W. Michael Petullo 2008-04-17 15:11:26 EDT
I have tried "Blackhawk Down" and "The Last of the Mohicans." Both are genuine
region 1 DVD's. Here is the output of "mplayer -v dvd://" when trying to play
"The Last of the Mohicans":

MPlayer SVN-r25979 rpm.livna.org (C) 2000-2007 MPlayer Team
AltiVec found
CPU: PowerPC
get_path('codecs.conf') -> '/home/mike/.mplayer/codecs.conf'
Reading /home/mike/.mplayer/codecs.conf: Can't open
'/home/mike/.mplayer/codecs.conf': No such file or directory
Reading /etc/mplayer/codecs.conf: Can't open '/etc/mplayer/codecs.conf': No such
file or directory
Using built-in default codecs.conf.
Configuration: --prefix=/usr --bindir=/usr/bin --datadir=/usr/share/mplayer
--mandir=/usr/share/man --confdir=/etc/mplayer --libdir=/usr/lib
--codecsdir=/usr/lib/codecs --disable-encoder=FAAC --disable-encoder=MP3LAME
--disable-encoder=X264 --enable-largefiles --enable-unrarexec --disable-termcap
--disable-bitmap-font --enable-lirc --enable-joystick --disable-smb
--disable-dvdread-internal --disable-libdvdcss-internal --enable-menu
--disable-live --disable-faad-internal --disable-tremor-internal
--disable-libamr_nb --disable-libamr_wb --disable-mad --disable-svga
--enable-xvmc --disable-directfb --disable-svga --disable-arts --disable-esd
--disable-jack --disable-openal --enable-runtime-cpudetection --target=ppc-linux
--language=all --with-xvmclib=XvMCW
CommandLine: '-v' 'dvd://'
init_freetype
Using Unoptimized OnScreenDisplay
get_path('fonts') -> '/home/mike/.mplayer/fonts'
Using nanosleep() timing
get_path('input.conf') -> '/home/mike/.mplayer/input.conf'
Can't open input config file /home/mike/.mplayer/input.conf: No such file or
directory
Parsing input config file /etc/mplayer/input.conf
Input config file /etc/mplayer/input.conf parsed: 83 binds
Setting up LIRC support...
mplayer: could not connect to socket
mplayer: No such file or directory
Failed to open LIRC support. You will not be able to use your remote control.
get_path('.conf') -> '/home/mike/.mplayer/.conf'

Playing dvd://.
get_path('sub/') -> '/home/mike/.mplayer/sub/'
URL: dvd://
libdvdread: Using libdvdcss version 1.2.9 for DVD access
Reading disc structure, please wait...
libdvdread: Invalid main menu IFO (VIDEO_TS.IFO).
Can't open VMG info!
No stream found to handle url dvd://

vo: x11 uninit called but X11 not inited..

Exiting... (End of file)
Comment 4 Dominik 'Rathann' Mierzejewski 2008-04-19 05:48:46 EDT
Thanks for the log. Upstream would like to see the .IFO files from that DVD.
Could you attach them?
Comment 5 Dominik 'Rathann' Mierzejewski 2008-04-19 17:24:13 EDT
Additionally, please try this build and see if it changes anything.

http://koji.fedoraproject.org/koji/taskinfo?taskID=573903
Comment 6 W. Michael Petullo 2008-04-20 13:16:49 EDT
Created attachment 303059 [details]
VIDEO_TS.IFO from The Last of the Mohicans

I also tried libdvdnav-4.1.2-1.fc9 and found that I still had this problem.
Comment 7 Bug Zapper 2008-05-14 05:28:13 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Hezekiah M. Carty 2008-06-21 19:58:34 EDT
Is this related to Debian bug #460400?

http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=460400

A patch is provided which apparently solves the problem.

I have the same problem on my laptop running Fedora 9, but I have not tested the
patch to see if it works on Fedora.  I found the link to the Debian bug report
and patch through this page:

http://tobias.rautenkranz.ch/libdvdread_ifo.html.en
Comment 9 Dominik 'Rathann' Mierzejewski 2008-07-26 19:01:56 EDT
Please try this build and see if it helps or at least prints anything new in
mplayer -v output.

http://koji.fedoraproject.org/koji/taskinfo?taskID=740755
Comment 10 W. Michael Petullo 2008-07-27 18:47:20 EDT
No change with:

libdvdread-4.1.2-2.fc9.ppc
libdvdnav-4.1.2-2.fc9.ppc
Comment 11 Dominik 'Rathann' Mierzejewski 2008-07-27 19:28:23 EDT
No change in mplayer -v output either?
Comment 12 Dominik 'Rathann' Mierzejewski 2008-07-27 19:31:31 EDT
(In reply to comment #8)
> Is this related to Debian bug #460400?
> 
> http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=460400
> 
> A patch is provided which apparently solves the problem.

4.1.2-2.fc9 contains this patch, so if it doesn't fix it for you, your problem
is different.
Comment 13 Dominik 'Rathann' Mierzejewski 2008-07-29 17:56:46 EDT
Please post mplayer -v dvd:// and mplayer -v dvdnav:// output (as attachment).
Comment 14 W. Michael Petullo 2008-07-30 20:14:04 EDT
Created attachment 313055 [details]
Output of "mplayer -v dvd://"

mplayer-1.0-0.94.20080531svn.lvn9.ppc
libdvdread-4.1.2-2.fc9.ppc
libdvdnav-4.1.2-2.fc9.ppc
Comment 15 W. Michael Petullo 2008-07-30 20:15:28 EDT
Created attachment 313056 [details]
Output of "mplayer -v dvdnav://"

mplayer-1.0-0.94.20080531svn.lvn9.ppc
libdvdread-4.1.2-2.fc9.ppc
libdvdnav-4.1.2-2.fc9.ppc
Comment 16 Dominik 'Rathann' Mierzejewski 2008-07-31 18:15:48 EDT
Thank you. I've forwarded the details upstream.
Comment 17 Nicolas Chauvet (kwizart) 2009-04-03 17:09:57 EDT
what is the status of this bug, it's still show up for unrelated researches
Comment 18 Nicolas Chauvet (kwizart) 2009-04-14 12:04:18 EDT
no news = good news... Shall we close this bug ?
Comment 19 W. Michael Petullo 2009-04-25 12:25:50 EDT
No, I just had a chance to test this and the problem remains. I am using Rawhide / RPM Fusion packages as of 24 Apr 09.
Comment 20 Nicolas Chauvet (kwizart) 2009-04-26 05:05:10 EDT
So, is there an upstream bug for reference ?
Comment 21 Bug Zapper 2009-06-09 20:11:29 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 22 W. Michael Petullo 2009-06-09 22:03:37 EDT
This may be the same issue that was addressed by the Debian folks. See:

http://www.mail-archive.com/debian-bugs-dist@lists.debian.org/msg655550.html

I have not been able to test this patch yet.
Comment 23 W. Michael Petullo 2009-06-10 08:34:32 EDT
I just confirmed that the Debian patch referenced in comment #22 fixes this problem.
Comment 24 W. Michael Petullo 2009-09-06 15:26:59 EDT
I no longer have an iBook to test with.
Comment 25 Dominik 'Rathann' Mierzejewski 2009-09-26 20:09:34 EDT
Should be fixed in rawhide. I'll issue an update for F-11 and F-10 a bit later.
Comment 26 Fedora Update System 2009-11-14 16:13:39 EST
libdvdread-4.1.4-0.1.svn1183.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/libdvdread-4.1.4-0.1.svn1183.fc11
Comment 27 Fedora Update System 2009-11-14 16:14:33 EST
libdvdread-4.1.4-0.1.svn1183.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/libdvdread-4.1.4-0.1.svn1183.fc10
Comment 28 Fedora Update System 2009-11-16 02:36:51 EST
libdvdread-4.1.4-0.1.svn1183.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update libdvdread'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-11619
Comment 29 Fedora Update System 2009-12-03 00:08:07 EST
libdvdread-4.1.4-0.1.svn1183.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 30 Fedora Update System 2009-12-03 00:09:14 EST
libdvdread-4.1.4-0.1.svn1183.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.